//
//  ImageLoaderViewController.m
//  ImageLoader
//
//  Created by Jonathan Diehl on 16.04.11.
//  Copyright 2011 RWTH. All rights reserved.
//

#import "ImageLoaderViewController.h"

@implementation ImageLoaderViewController

@synthesize imageView;

#pragma mark - View lifecycle

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
	
	NSURL *url = [NSURL URLWithString:@"http://hci.rwth-aachen.de/img/wiki_up/i10Logo_rgba_small.png"];
	loader = [[URLLoader alloc] initWithURL:url];
	loader.delegate = self;
	[loader start];
}

// unload the view
- (void)viewDidUnload
{
    [super viewDidUnload];
	
	[loader release];
	loader = nil;
}

// clean up
- (void)dealloc
{
	[loader release];
    [super dealloc];
}


#pragma mark URLLoaderDelegate

- (void)urlLoader:(URLLoader *)loader didLoadData:(NSData *)data;
{
	self.imageView.image = [UIImage imageWithData:data];
}

- (void)urlLoader:(URLLoader *)loader didFailWithError:(NSError *)error;
{
	// todo: error handling
}


@end
