//
//  URLLoader.h
//  Mensa
//  
//  The URL loader allows simple loading of web-based (HTTP) resources. The response is delivered via a block
//  Optionally, a cache can be supplied to automatically cache the response of a request.
//
//  Created by Jonathan Diehl on 20.12.10.
//  Copyright 2010 RWTH. All rights reserved.
//

#import <Foundation/Foundation.h>

@class URLLoader;
@protocol URLLoaderDelegate
- (void)urlLoader:(URLLoader *)loader didLoadData:(NSData *)data;
- (void)urlLoader:(URLLoader *)loader didFailWithError:(NSError *)error;
@end

@interface URLLoader : NSObject {
	NSURLRequest *request;
	NSURLConnection *connection;
	NSMutableData *data;
	id<URLLoaderDelegate> delegate;
}

@property(assign) id<URLLoaderDelegate> delegate;
@property(readonly) NSURLRequest *request;

- (id)initWithRequest:(NSURLRequest *)theRequest;
- (id)initWithURL:(NSURL *)url;

- (void)start;
- (void)cancel;

@end
